package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.Project;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 项目
 *
 * @author: jeecg-boot
 * @date: 2019-11-19
 * @cersion: V1.0
 */
public interface ProjectMapper extends BaseMapper<Project> {

    String getNameByAccountId(@Param("accountId") Long accountId);

    JSONObject getWarningInfoByProjectId(@Param("projectId") Long projectId);

    String querySupplierCodeById(@Param("projectId") Long projectId);
}
